Bug 370761

Summary: F8 installer fails in starting on PS3
Product: [Fedora] Fedora Reporter: Dong Chen <xjtu_chdongsh>
Component: rhpxlAssignee: Adam Jackson <ajax>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 8CC: asayama, bill, drkludge, ebachalo, marvin24, nospam, pcfe, stefan
Target Milestone: ---   
Target Release: ---   
Hardware: ppc64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 00:06:31 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Dong Chen 2007-11-07 22:03:20 EST
+++ This bug was initially created as a clone of Bug #366381 +++

Description of problem:
  On PLAYSTATION 3, the F8 installer displays following message and fails to
start installation.

Version-Release number of selected component (if applicable):
  rhpxl-0.49-2.fc8.ppc.rpm

How reproducible:
  Everytime.

Steps to Reproduce:
1. Insert boot CD (boot.iso).
2. Run the installer.
  
Actual results:
  The installer displays following message and istallation is aborted.

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 779, in <module>
    floppyDevice = probeHW(opts, x_already_set, xserver)
  File "/usr/bin/anaconda", line 421, in probeHW
    xserver.probeHW(skipMouseProbe=skipmouseprobe, forceDriver=opts.xdriver)
  File "/usr/lib/python2.5/site-packages/rhpxl/xserver.py", line 87, in probeHW
    self.videohw = videocard.VideoCardInfo(forceDriver=forceDriver)
  File "/usr/lib/python2.5/site-packages/rhpxl/videocard.py", line 149, in 
__init__
    elf os.uname()[4].count("ppc") > 0 and card.pcidom > 0:
AttributeError: device instance has no attribute 'pcidom'
install exited abnormally [1/1]

Expected results:
Comment 1 Jason 2007-11-11 14:58:11 EST
Same results. Initially had a F7 partition on PS3, but used fdisk in rescue 
mode to remove it, same results with install. Also attempted a network 
installation using the boot.iso image and received same results.
Comment 2 David Woodhouse 2007-11-11 17:55:52 EST
We committed something comletely crack-inspired between rc3 and final,
unfortunately. 

Fetch
http://git.fedoraproject.org/?p=hosted/rhpxl.git;a=blob_plain;f=rhpxl/videocard.py;h=17292df2d391c2b1513c0a114a19d05a5d778165
 and save it in as RHupdates/rhpxl/videocard.py in your install tree, then do an
NFS install.

Comment 3 David Woodhouse 2007-11-11 17:57:02 EST
*** Bug 374201 has been marked as a duplicate of this bug. ***
Comment 4 Jason 2007-11-11 20:11:56 EST
I placed the new videocard.py in /var/www/html/ppc/RHUpdates/rhpxl/ and 
exported the nfs share (I had previously been attempting to modify videocard.py 
and repack stage2.img) 

I tell the installer to do an NFS install via 192.168.1.4 directory /var/www/
html/ppc

Now when I use the boot.iso image to boot the installed detects RHUpdates and 
says it will use it, however it continues to bomb out with the same error 
message (so it must be continuing to use the old ideocard.py, since that line 
no longer exists in the new videocard.py); I'm not sure what I am doing wrong, 
and would appreciate a pointer in the right direction.

In the mean time I'm getting ready to try and repack this new videocard.py into 
stage2.img and see if I can go that route.
Comment 5 Jason 2007-11-11 22:50:43 EST
In my own crack-inspired efforts I had it in RHUpdates rather than RHupdates. 
Corrected the directory name and the installation proceeded. Graphical install 
never seemed to get passed the initial welcome screen, so I ended up restarting 
the installation with 'linux text video=1080i and I am proceeding through the 
test installation normally at this point, though it will probably take awhile 
to finish.
Comment 7 Kazunori Asayama 2007-11-13 21:05:15 EST
Workaround information. A certain guy found that the installer could proceed by
adding option xdriver=fbdev to the command line in order to avoid probing the
video driver for X; i.e. by typing 'linux xdriver=fbdev ...' at the bootloader's
prompt. I tried this and I could install F8 with the original F8 DVD image.
Comment 8 Greg Morgan 2007-11-15 18:30:11 EST
*** Bug 381541 has been marked as a duplicate of this bug. ***
Comment 9 Greg Morgan 2007-11-19 05:52:45 EST
I am confirming comment #7.  This report is being typed in via FireFox on a PS3
console.  I used linux xdriver=fbdev text askmethod to start the install.  I
show how to create the respin of the PPC boot.iso file so that you can get to
the command line with the PlayStation addon CD here
https://fedoraproject.org/wiki/PlayStation/Ps3ReSpin.  I'll finish the second
page later this week that shows all the commands that I used.
Comment 10 Andrew Cagney 2007-12-05 15:13:31 EST
(In reply to comment #7)
> Workaround information. A certain guy found that the installer could proceed by
> adding option xdriver=fbdev to the command line in order to avoid probing the
> video driver for X; i.e. by typing 'linux xdriver=fbdev ...' at the bootloader's
> prompt. I tried this and I could install F8 with the original F8 DVD image.

how do I do this?
Comment 11 Andrew Cagney 2007-12-05 16:19:16 EST
To answer my own question; assuming youre using dwmw2's otheros:

-> at the graphical select boot menu, hit CNTRL-ALT-F1 to get to the terminal
(hit return to see the root prompt)
-> cd /var/tmp/mnt-scd<TAB>/ppc/ppc64   (the ppc64 directory on the DVD; df
helps to find it)
-> run kexec with something like: kexec --force --ramdisk=ramdisk.image.gz
--command-line=xdriver=fbdev vmlinuz
Comment 12 Kazunori Asayama 2007-12-05 22:19:56 EST
(In reply to comment #10)
> how do I do this?

I might confuse you. I'm using kboot rather than the graphical boot loader.
Comment 13 Zach Buckholz 2007-12-29 23:52:48 EST
Thank you - This worked for me with a little twist.

-> at the graphical select boot menu, hit CNTRL-ALT-F1 to get to the terminal
(hit return to see the root prompt)
-> cd /var/tmp/mnt-scd<TAB>/ppc/ppc64   (the ppc64 directory on the DVD; df
helps to find it)
-> run kexec with something like: kexec --force --ramdisk=ramdisk.image.gz
--command-line=xdriver=fbdev vmlinuz
--command-line="xdriver=fbdev video=1080i" vmlinuz

Without the video option I couldn't see the screen properly

Comment 14 Andrea 2008-02-02 06:50:48 EST
(In reply to comment #2)
> We committed something comletely crack-inspired between rc3 and final,
> unfortunately. 
> 
> Fetch
>
http://git.fedoraproject.org/?p=hosted/rhpxl.git;a=blob_plain;f=rhpxl/videocard.py;h=17292df2d391c2b1513c0a114a19d05a5d778165
>  and save it in as RHupdates/rhpxl/videocard.py in your install tree, then do an
> NFS install.

The link is broken.
I've found this other link

http://git.fedoraproject.org/git/?p=rhpxl.git;a=commit;h=81fa0773e2da692836b319410ab051b32dffb3de

but this is exactly the failing file.

Could you please repost the link of the working version os videocard.py.

Thanks
Comment 15 Andrea 2008-02-03 17:16:31 EST
It seems it exists a new version of this file.
It comes as rhpxl 0.49 for Fedora 9.
I've tried it and I get this error

system-config-display
Traceback (most recent call last):
File "/usr/share/system-config-display/xconf.py", line 294, in <module>
vc = rhpxl.videocard.VideoCardInfo()
File "/usr/lib/python2.5/site-packages/rhpxl/videocard.py", line
149, in __init__
elif rhpl.arch.getCanonArch() == "ppc64pseries":
AttributeError: 'module' object has no attribute 'arch'

Does anybody know what it the correct version to use?
Comment 16 Adam Jackson 2008-02-12 16:13:01 EST
*** Bug 366381 has been marked as a duplicate of this bug. ***
Comment 17 Bug Zapper 2008-11-26 03:13:55 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2009-01-09 00:06:31 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.